﻿using UnityEngine;
using System.Collections;

public class ChargeNode : MonoBehaviour
{
    void Start()
	{
		MyLittleChargeNodeOrganizer.Get().AddChargeNode(this);
	}
	
	public bool HitScan(Vector3 place)
	{
		
		// print(place + "; " + transform.position);
		
		float deltaX = Mathf.Abs(transform.position.x - place.x);
		float deltaY = Mathf.Abs(transform.position.y - place.y);
		
		if(deltaX + deltaY < 25 || deltaX < 18 && deltaY < 18)
		{
			return true;
		}

		return false;
	}
}