﻿using UnityEngine;
using System.Collections;

public class MyLittleCamera : MonoBehaviour
{
	
	static private MyLittleCamera instance;
	private Vector3 startinPos;
	
	void Awake()
	{
		instance = this;
		startinPos = transform.position;
	}
	
	static public MyLittleCamera Get()
	{
		return instance;
	}
	
	public void Reset()
	{
		transform.position = startinPos;
	}
	
    void FixedUpdate ()
    {
		// Move camrea forward in the speed of the game
		// move faster if dashing!!
		
		if(PlayerController.Get().CameraMovementModifier > 0 && !MyLittleLevelManager.Get().bossFight)
		{
			camera.transform.position += new Vector3(GenericInfo.Get().speed+6, 0, 0);
		}
		else if(PlayerController.Get().CameraMovementModifier < 0 &&! MyLittleLevelManager.Get().bossFight)
		{
			camera.transform.position += new Vector3(GenericInfo.Get().speed/2, 0, 0);
		}
		else
		{
			camera.transform.position += new Vector3(GenericInfo.Get().speed, 0, 0);
		}
			
		
		
		
		
    }
}