﻿using UnityEngine;
using System.Collections;
using System.Collections.Generic;

public class MyLittleChargeNodeOrganizer : MonoBehaviour
{
    static private MyLittleChargeNodeOrganizer instance;
	private List<ChargeNode> theList = new List<ChargeNode>();
	
	static public MyLittleChargeNodeOrganizer Get()
	{
		if(instance == null)
		{
			GameObject tempGO = new GameObject("MyLittlechargenodeorganized");
			instance = tempGO.AddComponent<MyLittleChargeNodeOrganizer>();
		}
		return instance;
	}
	
	public void AddChargeNode(ChargeNode node)
	{
		theList.Add(node);
	}
	
	public ChargeNode GetTargetAtPosition(Vector3 place)
	{
		foreach(ChargeNode node in theList)
		{
			if(node.HitScan(place))
			{
				return node;
			}
		}
		
		return null;
	}
		
}