﻿using UnityEngine;
using System.Collections;

public class MyLittleHighScore : MonoBehaviour
{
	static private MyLittleHighScore instance;
	private int highScore = 0;
	private int lengthScore = 0;
	private int killScore = 0;
	private int combo = 1;
	
	public int killReward = 100;
		
	void Awake()
	{
		instance = this;
	}
	
	static public MyLittleHighScore Get()
	{
		return instance;
	}
	
	public int CurrentScore
	{
		set{}
		get{
			if(lengthScore > 13500) return killScore + 13500;
			return killScore + lengthScore;
		}
	}
	
	// save highscore locally? I think we should make that a priority..
	// scoreboards ftw, adds a lot to the game value
	
    void Update ()
    {
		lengthScore = (int)MyLittleCamera.Get().transform.position.x;
		if(CurrentScore > highScore)
		{
			highScore = CurrentScore;
		}
    }
	
	public void Reset()
	{
		lengthScore = 0;
		killScore = 0;
		combo = 1;
	}
	
	void OnGUI()
	{
		
		GUILayout.Box("HighScore: " + highScore);
		GUILayout.Box("Score: " + CurrentScore);
		GUILayout.Box("Combo: x" + (combo-1) );
	}
	
	public void Kill()
	{
		killScore += killReward*combo;
		combo++;
	}
	
	public void ResetCombo()
	{
		// happens when player touch the ground.
		combo = 1;
	}
}